System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeExpression System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent code that invokes an event. Invoking an event invokes all delegates that are registered with the event using the specified parameters.

The property specifies the event to invoke. The property specifies the parameters to pass to the delegates for the event.

Represents an expression that raises an event.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified target object.

  A that indicates the target object.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ParamArray
  To be added

  Initializes a new instance of the class using the specified target object and parameters.

  A that indicates the target object.
  An array of objects that indicate the parameters.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpressionCollection To be added: an object of type 'CodeExpressionCollection' To be added

  Gets or sets the parameters to pass to the event handling methods attached to the event.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpression To be added: an object of type 'CodeExpression' To be added

  Gets or sets the event to invoke.